Thứ Năm, 27 tháng 10, 2011

Lisp SCALE mọi loại đối tượng quanh tâm chính nó.

*Lisp này mình chỉnh từ lisp sưu tầm theo yêu cầu của 1 bạn đọc. Mình thêm phần undo toàn cục cho lisp này luôn.
-Lệnh: SB
Bạn copy nội dung và tạo file lisp nhé!


(defun c:sb()
(command "undo" "be")
(defun ST:Geom-Center (ent / p1 p2)
(vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)
(setq p1 (vlax-safearray->list p1)
p2 (vlax-safearray->list p2)
pt (mapcar '* (mapcar '+ p1 p2) '(0.5 0.5 0.5))
)
)
(or cale (setq cale 2))
(setq cale (cond ((getreal (strcat "\nTi le scale < " (rtos cale 2 2) " >:")))(cale)))
(foreach e (acet-ss-to-list (ssget))
(command ".scale" e "" "_non" (ST:Geom-Center e) cale )
)
(command "undo" "end"))




1 nhận xét:

  1. Cảm ơn anh . em dawload về dùng thử thấy okie rùi . sau này có " vấn đề gì " mong anh chỉ giúp

    Trả lờiXóa

Khi viết nhận xét mong bạn không đứng vai trò nặc danh! Bạn có thể chọn Name/Url trong đó Url là http://duy782006.blogspot.com/ như vậy hay hơn nặc danh bạn nhé.